
using System;
using System.Diagnostics;
namespace Benday.WpfCommandExceptionDemo.ViewModel
{
    public class MessageManager
    {

        public MessageManager()
        {

        }

        public event EventHandler<MessageBoxRequestedEventArgs> MessageBoxRequested;

        public void ShowMessage(Exception ex)
        {
            Trace.TraceError(ex.ToString());

            if (MessageBoxRequested != null)
            {
                var eventToFire = MessageBoxRequested;

                if (eventToFire != null)
                {
                    eventToFire(this, new MessageBoxRequestedEventArgs(ex));
                }
            }
        }
    }
}
